> ## Name

> cgSetStringParameterValue - set the value of a string parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetStringParameterValue( CGparameter param,
>                                     const char * value );

> ## Parameters

> param
>   The parameter whose value will be set.
> value
>   The string to set the parameter's value as.

> ## Return Values

> None.

> ## Description

> cgSetStringParameterValue allows the application to set the value of a string parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not string-typed.

> CG_INVALID_PARAMETER_ERROR is generated if value is NULL.

> ## History

> cgSetStringParameterValue was introduced in Cg 1.4.

> ## See Also

> cgGetStringParameterValue